Bug 706581 - Installed package not listed when an update is available
Summary: Installed package not listed when an update is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-21 09:29 UTC by Raphael Groner
Modified: 2012-06-02 02:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-24 23:53:27 UTC
Type: ---


Attachments (Terms of Use)

Description Raphael Groner 2011-05-21 09:29:57 UTC
Description of problem:
Yumex shows only the most current packages. Theres's an menu option to disable that behaviour to see all available versions.

Version-Release number of selected component (if applicable):
yumex-3.0.3_20110505-1.fc14.noarch (latest git patches)

How reproducible:
always

Steps to Reproduce:
1. search package
2.
3.
  
Actual results:
You see only the latest package version in the search result.

Expected results:
Temporarily show all available versions.

Additional info:
Nice feature if you want to remove a package but which has already been updated in the repository.

Comment 1 Raphael Groner 2011-10-29 15:01:57 UTC
When a search is done with the radio button "Installed" and the menu's check box "Newest only" is checked, packages for those an update is available, are not shown in the search result.
In my opinion, the option "Newest only" should be ignored for search results with the "Installed" filter. Newest only should be applied exclusively to updates, which aren't watched in Installed.

Comment 2 Raphael Groner 2011-10-29 15:04:50 UTC
Besides that for the user confusing behaviour as described in comment #1, it isn't possible to deinstall a package with an available update.

Comment 3 Tim Lauridsen 2012-05-09 13:06:26 UTC
I will look into this issue, search result should show both installed and the available update.

Comment 4 Raphael Groner 2012-05-09 13:24:34 UTC
(In reply to comment #3)
> search result should show both installed and the available update.
I wouldn't show any available updates in the "installed packages" view. There's an extra view for updates only, isn't it? Maybe old packages can be coloured somehow instead.

Comment 5 Tim Lauridsen 2012-05-10 18:11:35 UTC
The update view will only show updates
The installed view will only show updates
The all view should show both available, installed and available updates 
if newest only is not set, then all matching packages should be shown, also packages older than the installed one in a separate color with a possibility to downgrade.

Comment 6 Fedora Update System 2012-05-13 11:09:43 UTC
yumex-3.0.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yumex-3.0.5-1.fc17

Comment 7 Fedora Update System 2012-05-13 11:09:59 UTC
yumex-3.0.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/yumex-3.0.5-1.fc16

Comment 8 Fedora Update System 2012-05-13 15:31:30 UTC
yumex-3.0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yumex-3.0.5-1.el6

Comment 9 Fedora Update System 2012-05-14 00:41:41 UTC
Package yumex-3.0.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yumex-3.0.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7803/yumex-3.0.5-1.fc17
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-05-14 16:38:02 UTC
yumex-3.0.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/yumex-3.0.5-2.fc16

Comment 11 Fedora Update System 2012-05-14 16:38:25 UTC
yumex-3.0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yumex-3.0.5-2.fc17

Comment 12 Fedora Update System 2012-05-14 16:38:50 UTC
yumex-3.0.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yumex-3.0.5-2.el6

Comment 13 Fedora Update System 2012-05-24 23:53:27 UTC
yumex-3.0.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-05-26 08:01:49 UTC
yumex-3.0.5-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-06-02 02:38:46 UTC
yumex-3.0.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.